<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../sys/inc/$inc.php";
}

only_reg();

$set['title'] = lang('Журнал авторизаций');

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Журнал авторизаций');
echo "</small></div><br />";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user_log` WHERE `id_user` = '$user[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo "<div class='list-group-item-null list-group-item-grey'>";
echo "<i class='fa fa-globe fa-fw'></i> " . lang('Ваш браузер') . ": ";
echo browser();
echo "</div>";

if ($k_post == 0) {
    $doc->NoResult();
}

$q = mysql_query("SELECT * FROM `user_log` WHERE `id_user` = '" . $user['id'] . "' ORDER BY `id` DESC  LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q)) {
    $ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]' LIMIT 1"));

    echo "<div class='list-group-item-null'>";
    echo "<div style='float:right;color:grey;'><small title='" . date::time($post['time']) . "'>" . date::timek($post['time']) . "</small></div>";
    echo "<i class='fa fa-sign-in fa-fw'></i> ";

    if ($post['method'] == 1) {
        echo lang('Ввод логина и пароля');
    } elseif ($post['method'] == 2) {
        echo lang('Авторизация по кукам');
    } else {
        echo lang('Автозакладка');
    }

    echo "<br />";
    echo "<i class='fa fa-laptop fa-fw'></i> IP: " . long2ip($post['ip']) . " (" . toOutput($post['ua']) . ")";
    echo "</div>";
    echo "<div class='hr'></div>";
}


if ($k_page > 1) {
    str('?', $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
